<template>
  <wd-form ref="form" :model="model" class="relative form_box">
    <wd-cell-group :border="true">
      <wd-input
        v-model="model.plateType"
        label="盘具类型"
        label-width="100px"
        prop="plateType"
        clearable
        placeholder="请输入盘具类型"
      />
      <wd-input
        v-model="model.length"
        label="尺寸"
        label-width="100px"
        prop="length"
        clearable
        placeholder="请输入尺寸"
      />
      <wd-input
        v-model="model.weigth"
        label="重量"
        label-width="100px"
        prop="weigth"
        clearable
        placeholder="请输入重量"
      />
    </wd-cell-group>
  </wd-form>
</template>

<script setup lang="ts">
import useFormData from "@/hooks/useFormData";
const { form: model } = useFormData({
  plateType: undefined, // 盘具类型
  length: undefined, // 尺寸
  weigth: undefined, // 重量
});
</script>
<style lang="scss" scoped>
.form_box {
}
.submit_btn {
  position: absolute;
  bottom: 0;
  width: 100%;
}
</style>
